/* default main css */

:root {
    --dark-blue: #0d4c89;
    --light-blue: #09a2dd;
    --soft-white: #fdfdfd;
    --black: #070707;
}

html {
    background: linear-gradient(135deg, var(--dark-blue), var(--light-blue), var(--soft-white));
    background-blend-mode: multiply;
    background-color: var(--soft-white);
    background-size: cover;
    position: relative;
}

html::after {
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: url('https://www.transparenttextures.com/patterns/noisy.png');
    opacity: 0.2;
    pointer-events: none;
    z-index: -1;
}

body {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    background: none;
    overflow-x: hidden;
}

/* hero */

.hero-section {
    width: 100vw;
    height: 100vh;
    max-height: 1100px;
    display: flex;
    justify-content: center;
    align-items: center;
    box-sizing: border-box;
    padding: 80px;
}

.hero-wrap {
    margin: 80px;
    max-width: 1200px;
    display: flex;
    flex-direction: column;
    width: 100%;
    height: 100%;
    position: relative;
}

.logo-image {
    height: 20px;
    width: auto;
    margin-bottom: 40px;
    margin-top:20px
}

.logo-image img {
    height: 100%;
    width: auto;
}

.main-hero-wrap {
    flex-grow: 1;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
}

/* grid css */

.hero-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(3, 1fr);
    gap: 10px;
    width: 100%;
    max-width: 1000px;
    height: 100%;
    max-height: 700px;
    position: relative;
    z-index: 1;
    color: var(--soft-white);
}

.grid-item {
    width: 100%;
    height: 100%;
}

.hero-grid {
    grid-template-areas:
        "grid-one grid-two grid-three"
        "grid-four grid-five grid-six"
        "grid-seven grid-eight grid-nine";
}

.grid-one { grid-area: grid-one; }
.grid-two { grid-area: grid-two; }
.grid-three { grid-area: grid-three; }
.grid-four { grid-area: grid-four; }
.grid-five { grid-area: grid-five; }
.grid-six { grid-area: grid-six; }
.grid-seven { grid-area: grid-seven; }
.grid-eight { grid-area: grid-eight; }
.grid-nine { grid-area: grid-nine; }

/* Grid Item Animations */
.hero-grid .grid-item {
    opacity: 0; /* Initially hidden */
    transform: translateY(20px); /* Start slightly lower */
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.hero-grid .grid-item.show {
    opacity: 1;
    transform: translateY(0); /* Move to final position */
}

.hero-grid .grid-one {
    transition-delay: 0.5s;
}

.hero-grid .grid-two {
    transition-delay: 0.7s;
}

.hero-grid .grid-three {
    transition-delay: 0.9s;
}

/* Make grid-four, grid-five, and grid-six very fast */
.hero-grid .grid-four {
    transition-delay: 1.0s;
}
.hero-grid .grid-five {
    transition-delay: 1.05s;
}
.hero-grid .grid-six {
    transition-delay: 1.1s;
}

.hero-grid .grid-seven {
    transition-delay: 1.2s; /* Happens right after grid-three's fast group */
}

.hero-grid .grid-eight {
    transition-delay: 1.4s;
}

.hero-grid .grid-nine {
    transition-delay: 1.6s;
}

/* Grid Item Layout Adjustments */
.grid-one {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: flex-start;
    justify-content: flex-end;
}

.grid-three {
    display: flex;
    align-items: flex-end;
    justify-content: flex-start;
}

.grid-seven {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
}

.grid-nine {
    display: flex;
    align-items: flex-start;
    justify-content: flex-start;
}

.grid-one .big-hero-text, .grid-three .big-hero-text, .grid-nine .big-hero-text {
    font-size: 7em;
    font-weight: bold;
    line-height: 1;
}

.grid-one .small-hero-text, .grid-seven .small-hero-text, .grid-nine .small-hero-text {
    font-size: 3.5em;
    font-weight: bold;
    line-height: 1;
}

/* Image Overlay Animations */
.overlay-image {
    position: absolute;
    max-width: 1000px;
    max-height: 1000px;
    width: 100%;
    height: auto;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%) translateY(20px);
    opacity: 0;
    z-index: 1000;
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.image-phone {
    display: none;
}

.overlay-image.show {
    opacity: 1;
    transform: translate(-50%, -50%) translateY(0); /* Move to final position */
}

/* Step Options */

.step-options {
    display: flex;
    justify-content: space-evenly;
    align-items: center;
    width: 100%;
    margin-top: 20px;
    padding-top: 10px;
    position: relative;
    z-index: 1100;
    opacity: 0; /* Hidden initially */
    pointer-events: none; /* Disable interactions initially */
    transition: opacity 0.8s ease-out;
}

.step-options.show {
    opacity: 1; /* Fully visible */
    pointer-events: auto; /* Enable interactions when visible */
}

.step-option {
    font-size: 1.2em;
    text-decoration: none;
    color: var(--soft-white);
    opacity: 1;
    transform: translateY(0);
    transition: color 0.15s ease-in-out;
    pointer-events: auto;
    position: relative;
    z-index: 1101;
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero-wrap.show .step-option {
    pointer-events: auto; /* Enable interactions when visible */
    opacity: 1; /* Fully visible */
    transform: translateY(0); /* Reset position */
    transition: opacity 0.8s ease-out, transform 0.8s ease-out, color 0.3s ease-in-out;
}

.hero-wrap.show .step-option:hover {
    color: var(--black); /* Smoothly change to black on hover */
}

.step-option:nth-child(1) {
    transition-delay: 3s; /* Delay starts after grid animations */
}

.step-option:nth-child(3) {
    transition-delay: 3.2s; /* Slight delay for second option */
}

.step-option:nth-child(5) {
    transition-delay: 3.4s; /* Slight delay for third option */
}

.white-line {
    width: 0.5px;
    height: 20px;
    background-color: var(--soft-white);
    pointer-events: none; /* Ensure lines don’t block hover */
}

/* hero */

.container-wrap {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 2rem;
    padding: 80px;
    box-sizing: border-box;
}

.footer {
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-bottom: 40px;
}

.footer-wrap{
    max-width: 1200px;
    display: flex;
}

.big-container {
    width: 100%;
    height: 100vh; /* Full viewport height */
    display: flex;
    justify-content: center; /* Center horizontally */
    align-items: center; /* Center vertically */
}

.content-container {
    width: 100%;
    max-width: 1200px;
    /* height: 600px; */
    display: flex;
    justify-content: center;
    align-items: center;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
    background-color: var(--soft-white);
    text-align: left;
    margin: 0 40px 0 40px;
    opacity: 0; /* Initially hidden */
    transform: translateY(20px); /* Start slightly lower */
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.content-container.show {
    opacity: 1;
    transform: translateY(0);
}

.content-wrap {
    display: flex;
    flex-direction: row;
    gap: 2rem;
    align-items: center;
    justify-content: center;
    height: 100%;
}

.left, .right {
    flex: 1;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.left img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    border-top-left-radius: 10px;
    border-bottom-left-radius: 10px; 
}

.text-content {
    display: flex;
    flex-direction: column;
    gap: 20px;
    text-align: left;
    padding: 0 80px 0 40px;
    opacity: 0;
    transform: translateY(20px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.content-container.show .text-content {
    opacity: 1;
    transform: translateY(0);
}

.section-heading {
    font-size: 1.5em;
    font-weight: 600;
    color: var(--dark-blue);
    opacity: 0;
    transform: translateY(10px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
    transition-delay: 0.2s;
}

.content-container.show .section-heading {
    opacity: 1;
    transform: translateY(0);
}

.step-heading {
    font-size: 2em;
    color: var(--light-blue);
    font-weight: 600;
    line-height: 1.4;
    opacity: 0;
    transform: translateY(10px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
    transition-delay: 0.4s;
}

.content-container.show .step-heading {
    opacity: 1;
    transform: translateY(0);
}

.body-text p {
    font-size: 16px;
    line-height: 1.6;
    color: var(--black);
    opacity: 0;
    transform: translateY(10px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
    transition-delay: 0.6s;
}

.grid-item .catchphrase{
    display: none;
}

.grid-item .catchphrase-two{
    display: none;
}

.content-container.show .body-text p {
    opacity: 1;
    transform: translateY(0);
}

.hidden {
    opacity: 0;
    visibility: hidden;
}

.show {
    opacity: 1;
    visibility: visible;
}

/* default main css */

@media screen and (max-width:1200px){
    .overlay-image{
        width: 100%;
    }
    .hero-section, .container-wrap {
        padding: 40px;
    }
    .hero-wrap{
        margin: 40px;
    }
    .text-content{
        padding: 20px 40px 20px 20px;
    }
    .content-container{
        height: auto;
        margin: 0;
    }
}

@media screen and (max-width:1010px){
    .content-wrap{
        flex-direction: column;
        gap: 10px;
    }
    .left img{
        border-top-left-radius: 10px;
        border-top-right-radius: 10px;
        border-bottom-left-radius: 0;
        border-bottom-right-radius: 0;
    }
    .big-container{
        height: auto;
    }
    .content-container{
        max-width: 600px;
    }
    .container-wrap{
        gap: 80px;
    }
    .text-content{
        padding: 20px 40px;
    }
}

@media screen and (max-width:960px){
    .main-hero-wrap{
        height: 600px;
    }
    .hero-grid {
        grid-template-columns: repeat(2, 1fr); /* 2 columns */
        grid-template-rows: repeat(3, 1fr);   /* 3 rows */
        grid-template-areas:
            "grid-one grid-two"
            "grid-three grid-four"
            "grid-five grid-six";
    }
    .grid-three { grid-area: grid-two; } /* Move grid-three to grid-two */
    .grid-seven { grid-area: grid-three; } /* Move grid-seven to grid-three */
    .grid-eight { grid-area: grid-five;} /* Move grid-eight to grid-five */
    .grid-nine { grid-area: grid-six; } /* Move grid-nine to grid-six */

    .grid-four, .grid-five, .grid-six {
        display: none;
    }
    .grid-one .big-hero-text, .grid-three .big-hero-text, .grid-nine .big-hero-text{
        font-size: 5em;
    }
    .grid-one .small-hero-text, .grid-seven .small-hero-text, .grid-nine .small-hero-text{
        font-size: 2em;
    }
    .grid-one{
        align-items: center;
        justify-content: flex-start;
    }
    .grid-three{
        align-items: flex-end;
        justify-content: center;
    }
    .grid-seven{
        padding: 20px;
    }
    .grid-nine{
        align-items: center;
        justify-content: center;
    }
    .grid-item .catchphrase{
        display: flex;
        font-size: 1em;
        color: #fdfdfd;
        font-weight: 400;
        width:75%;
    }
    .step-options{
        flex-direction: column;
        gap: 20px;
    }
}

@media screen and (max-width:767px){
    .grid-item .big-hero-text, .grid-item .small-hero-text{
        display: none;
    }
    .grid-item .catchphrase-two{
        display: flex;
        font-size: 2.5em;
        color: #fdfdfd;
        font-weight: 600;
    }
    .grid-one, .grid-six {
        display: none;
    }
    .grid-two { 
        grid-area: grid-one; 
    }
    .grid-eight { 
        grid-area: grid-six; 
    }
    .main-hero-wrap{
        height: auto;
    }
    .grid-two{
        display: flex;
        align-items: flex-start;
        justify-content: flex-end;
    }
    .grid-eight{
        display: flex;
        align-items: center;
        justify-content: flex-end;
    }
}

@media screen and (max-width:650px){
    .overlay-image{
        display: none;
    }
    .hero-grid {
        grid-template-columns: 1fr; /* Single column */
        grid-template-rows: repeat(3, 1fr); /* 3 rows */
        grid-template-areas:
            "grid-one"
            "grid-two"
            "grid-three";
    }
    .grid-two { 
        grid-area: grid-one; 
        align-items: center;
        justify-content: center;
    }
    .grid-eight{
        grid-area: grid-three;
        align-items: center;
        justify-content: center;
    }
    .grid-four, .grid-five, .grid-six, .grid-seven, .grid-nine {
        display: none; /* Hides all other grid items */
    }
    .grid-item .catchphrase, .grid-item .catchphrase-two{
        width: auto;
        text-align: center;
    }
    .logo-image{
        display: flex;
        align-items: center;
        justify-content: center;
    }
    .image-phone {
        width: 100%; /* Full width */
        max-height: 200px; /* Restrict height to 200px */
        overflow: hidden; /* Mask the image to prevent overflow */
        position: relative; /* Position context for child elements */
        display: flex;
        justify-content: center; /* Center content horizontally */
        align-items: center; /* Center content vertically */
    }
    
    .image-phone img {
        width: 100%; /* Image takes full width */
        height: 100%; /* Image takes full height */
        object-fit: cover; /* Scale image while maintaining aspect ratio */
        object-position: center; /* Center the image within the container */
    }
    .hero-section{
        height: auto;
    }
    .main-hero-wrap{
        height: 600px;
    }
}

@media screen and (max-width:479px){
    .step-options{
        flex-direction: column;
        gap: 10px;
    }
    .body-text p{
        font-size:14px;
        line-height: 1.4;
        margin: 0;
    }
    .step-heading{
        font-size: 1.5em;
    }
    .text-content{
        gap: 10px;
        padding: 20px 25px 40px 25px;
    }
    .content-wrap{
        gap: 0;
    }
    .image-phone img{
        transform: scale(1.2);
    }
    .image-phone{
        height: 200px;
    }
    .grid-item, .hero-grid, .main-hero-wrap {
    width: 100%;
    }
    .hero-wrap{
        margin:0;
    }
}